# ActivateAccount

Activate an account by accepting terms and conditions

`POST /api/v2/accounts/{id}/activate`

**API:** AvaTax API
**Tag:** Accounts
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Accounts/ActivateAccount/

## Description

Activate the account specified by the unique accountId number.
            
This activation request can only be called by account administrators.  You must indicate
that you have read and accepted Avalara's terms and conditions to call this API.
            
Once you have activated your account, use the `AccountResetLicenseKey` API to generate
a license key for your account.
            
If you have not read or accepted the terms and conditions, this API call will return the
unchanged account model.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, BatchServiceAdmin, FirmAdmin, Registrar, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The ID of the account to activate |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `ActivateAccountModel`

Represents a request to activate an account by reading and accepting its terms and conditions.

| Property | Type | Required | Description |
|---|---|---|---|
| `acceptAvalaraTermsAndConditions` | boolean | No | Set this to true if and only if you accept Avalara's terms and conditions for your account. Example: `true`. |
| `haveReadAvalaraTermsAndConditions` | boolean | No | Set this to true if and only if you have fully read Avalara's terms and conditions for your account. Example: `true`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `AccountModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `AccountModel`

An AvaTax account.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | **Yes** | The unique ID number assigned to this account. Example: `12345`. |
| `crmid` | string | No | For system registrar use only. |
| `name` | string | **Yes** | The name of this account. Example: `Test Account`. |
| `effectiveDate` | string | No | The earliest date on which this account may be used. Example: `2026-07-02T00:00:00+00:00`. |
| `endDate` | string | No | If this account has been closed, this is the last date the account was open. |
| `accountStatusId` | string | No | The current status of this account. Values: `Inactive`, `Active`, `Test`, `New`. Example: `Inactive`. |
| `accountTypeId` | string | No | The type of this account. Values: `Regular`, `Firm`, `FirmClient`. Example: `Regular`. |
| `createdDate` | string | No | The date when this record was created. |
| `createdUserId` | integer | No | The User ID of the user who created this record. |
| `modifiedDate` | string | No | The date/time when this record was last modified. |
| `modifiedUserId` | integer | No | The user ID of the user who last modified this record. |
| `subscriptions` | SubscriptionModel[] | No | Optional: A list of subscriptions granted to this account.  To fetch this list, add the query string "?$include=Subscriptions" to your URL. |
| `users` | UserModel[] | No | Optional: A list of all the users belonging to this account.  To fetch this list, add the query string "?$include=Users" to your URL. |
| `isSamlEnabled` | boolean | No | Is Saml based authentication used by this account for user to login via AI. Example: `false`. |
| `isDeleted` | boolean | No | A boolean flag to identify if the account is deleted |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/accounts/{id}/activate" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "acceptAvalaraTermsAndConditions": true,
  "haveReadAvalaraTermsAndConditions": true
}'
```